Bug 1277179 - clang++ ignores flags for harden builds
clang++ ignores flags for harden builds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsbml (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: harden-failure 1277182
  Show dependency treegraph
 
Reported: 2015-11-02 10:17 EST by Antonio Trande
Modified: 2015-12-30 12:50 EST (History)
2 users (show)

See Also:
Fixed In Version: libsbml-5.12.0-3.fc23 libsbml-5.12.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-29 17:24:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2015-11-02 10:17:47 EST
Description of problem:
libsbml must be compiled with clang++ compiler on Fedora > 22 x86_64 and aarch64, but flags for hardened builds are ignored:

clang: warning: -Wl,-z,now: 'linker' input unusedclang
: warning: -Wl,-z,now: 'linker' input unused
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warningclang: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld': 
warning: -Wl,-z,relro: 'linker' input unused
clang: warning: -Wl,-z,now: 'linker' input unused
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
clang: warning: -Wl,-z,relro: 'linker' input unused
clang: warning: -Wl,-z,now: 'linker' input unused
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
clang: warning: -Wl,-z,relro: 'linker' input unused
clang: warning: -Wl,-z,now: 'linker' input unused
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1'
clang: warning: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld'

Version-Release number of selected component (if applicable):
libsbml-5.11.6-7

How reproducible:
Always on Fedora >22

Note:
Current checksec output seems good:

 checksec --file libsbml.so.5.11.6
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Full RELRO      Canary found      NX enabled    DSO             No RPATH   No RUNPATH   libsbml.so.5.11.6
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-03 19:31:51 EST
Hm. Any chances of compiling it with gcc again?
Comment 2 Fedora Update System 2015-12-14 13:58:51 EST
libsbml-5.12.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-759f136c7f
Comment 3 Fedora Update System 2015-12-15 05:52:39 EST
libsbml-5.12.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1808707f13
Comment 4 Fedora Update System 2015-12-15 10:52:27 EST
COPASI-4.16-0.17.20150817git3bc4e9.fc23 libsbml-5.12.0-3.fc23 libsedml-0.3.1-9.fc23 moose-3.0.2-0.4.fc23.beta.2 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1808707f13
Comment 5 Fedora Update System 2015-12-16 05:13:29 EST
libsbml-5.12.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-759f136c7f
Comment 6 Fedora Update System 2015-12-16 21:01:03 EST
COPASI-4.16-0.17.20150817git3bc4e9.fc23, libsbml-5.12.0-3.fc23, libsedml-0.3.1-9.fc23, moose-3.0.2-0.4.fc23.beta.2 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update COPASI moose libsedml libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1808707f13
Comment 7 Fedora Update System 2015-12-19 12:24:19 EST
COPASI-4.16-0.20.20150817git3bc4e9.fc23 libsbml-5.12.0-3.fc23 libsedml-0.3.1-9.fc23 moose-3.0.2-0.4.fc23.beta.2 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1808707f13
Comment 8 Fedora Update System 2015-12-20 07:24:25 EST
COPASI-4.16-0.20.20150817git3bc4e9.fc23, libsbml-5.12.0-3.fc23, libsedml-0.3.1-9.fc23, moose-3.0.2-0.4.fc23.beta.2 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml COPASI moose libsedml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1808707f13
Comment 9 Fedora Update System 2015-12-22 10:36:32 EST
libsbml-5.12.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-759f136c7f
Comment 10 Fedora Update System 2015-12-29 17:24:39 EST
COPASI-4.16-0.20.20150817git3bc4e9.fc23, libsbml-5.12.0-3.fc23, libsedml-0.3.1-9.fc23, moose-3.0.2-0.4.fc23.beta.2 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-12-30 12:50:24 EST
libsbml-5.12.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.